<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::afml Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html">afml</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::afml Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1afml_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_activity_tracker_interface.html">ActivityTrackerInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a17ef926540f887f87dd01ca59ff45fc7"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#a17ef926540f887f87dd01ca59ff45fc7">TAG</a> (&quot;AudioActivityTracker&quot;)</td></tr>
<tr class="memdesc:a17ef926540f887f87dd01ca59ff45fc7"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a17ef926540f887f87dd01ca59ff45fc7">More...</a><br /></td></tr>
<tr class="separator:a17ef926540f887f87dd01ca59ff45fc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab028bc0860102c0826a6866777f99c50"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">avsCommon::avs::CapabilityConfiguration</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#ab028bc0860102c0826a6866777f99c50">getAudioActivityTrackerCapabilityConfiguration</a> ()</td></tr>
<tr class="separator:ab028bc0860102c0826a6866777f99c50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af990283351d307fd3c7a164c8fa48ff6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#af990283351d307fd3c7a164c8fa48ff6">TAG</a> (&quot;FocusManager&quot;)</td></tr>
<tr class="memdesc:af990283351d307fd3c7a164c8fa48ff6"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#af990283351d307fd3c7a164c8fa48ff6">More...</a><br /></td></tr>
<tr class="separator:af990283351d307fd3c7a164c8fa48ff6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb2a36f12d300a48e8a6098403207d13"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#adb2a36f12d300a48e8a6098403207d13">TAG</a> (&quot;VisualActivityTracker&quot;)</td></tr>
<tr class="memdesc:adb2a36f12d300a48e8a6098403207d13"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#adb2a36f12d300a48e8a6098403207d13">More...</a><br /></td></tr>
<tr class="separator:adb2a36f12d300a48e8a6098403207d13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac17883391a8e27f2a3fa4b465545f1ed"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">avsCommon::avs::CapabilityConfiguration</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#ac17883391a8e27f2a3fa4b465545f1ed">getVisualActivityTrackerCapabilityConfiguration</a> ()</td></tr>
<tr class="separator:ac17883391a8e27f2a3fa4b465545f1ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a342ae9f3d24938382b37e0541653d273"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#a342ae9f3d24938382b37e0541653d273">AUDIOACTIVITYTRACKER_CAPABILITY_INTERFACE_TYPE</a> = &quot;AlexaInterface&quot;</td></tr>
<tr class="separator:a342ae9f3d24938382b37e0541653d273"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f3c20dc3ebe943a6808bc3e41c215ff"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#a6f3c20dc3ebe943a6808bc3e41c215ff">AUDIOACTIVITYTRACKER_CAPABILITY_INTERFACE_NAME</a> = &quot;AudioActivityTracker&quot;</td></tr>
<tr class="memdesc:a6f3c20dc3ebe943a6808bc3e41c215ff"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> interface name.  <a href="#a6f3c20dc3ebe943a6808bc3e41c215ff">More...</a><br /></td></tr>
<tr class="separator:a6f3c20dc3ebe943a6808bc3e41c215ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20efaca2c0ec29aec4026d18b58c5d8f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#a20efaca2c0ec29aec4026d18b58c5d8f">AUDIOACTIVITYTRACKER_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:a20efaca2c0ec29aec4026d18b58c5d8f"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> interface version.  <a href="#a20efaca2c0ec29aec4026d18b58c5d8f">More...</a><br /></td></tr>
<tr class="separator:a20efaca2c0ec29aec4026d18b58c5d8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0647ebe4608035fe0f7d80fd844ae3a3"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#a0647ebe4608035fe0f7d80fd844ae3a3">CONTEXT_MANAGER_STATE</a> {&quot;AudioActivityTracker&quot;, &quot;ActivityState&quot;}</td></tr>
<tr class="memdesc:a0647ebe4608035fe0f7d80fd844ae3a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The state information <code>NamespaceAndName</code> to send to the <code>ContextManager</code> for <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a>.  <a href="#a0647ebe4608035fe0f7d80fd844ae3a3">More...</a><br /></td></tr>
<tr class="separator:a0647ebe4608035fe0f7d80fd844ae3a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a212faeaa88b90852b43acd2ff5fee325"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#a212faeaa88b90852b43acd2ff5fee325">IDLE_TIME_KEY</a> [] = &quot;idleTimeInMilliseconds&quot;</td></tr>
<tr class="memdesc:a212faeaa88b90852b43acd2ff5fee325"><td class="mdescLeft">&#160;</td><td class="mdescRight">The idleTime key used in the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> context.  <a href="#a212faeaa88b90852b43acd2ff5fee325">More...</a><br /></td></tr>
<tr class="separator:a212faeaa88b90852b43acd2ff5fee325"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f3691509100a36d51b60a5d427fef75"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#a4f3691509100a36d51b60a5d427fef75">INTERFACE_KEY</a> [] = &quot;interface&quot;</td></tr>
<tr class="memdesc:a4f3691509100a36d51b60a5d427fef75"><td class="mdescLeft">&#160;</td><td class="mdescRight">The interface key used in the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> context.  <a href="#a4f3691509100a36d51b60a5d427fef75">More...</a><br /></td></tr>
<tr class="separator:a4f3691509100a36d51b60a5d427fef75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad68de1fcf71e55758f354118e8a238ec"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#ad68de1fcf71e55758f354118e8a238ec">VISUALACTIVITYTRACKER_CAPABILITY_INTERFACE_TYPE</a> = &quot;AlexaInterface&quot;</td></tr>
<tr class="separator:ad68de1fcf71e55758f354118e8a238ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79facb406d60a7ff3f2b337cdd331020"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#a79facb406d60a7ff3f2b337cdd331020">VISUALACTIVITYTRACKER_CAPABILITY_INTERFACE_NAME</a> = &quot;VisualActivityTracker&quot;</td></tr>
<tr class="memdesc:a79facb406d60a7ff3f2b337cdd331020"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> interface name.  <a href="#a79facb406d60a7ff3f2b337cdd331020">More...</a><br /></td></tr>
<tr class="separator:a79facb406d60a7ff3f2b337cdd331020"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d633ce2010331212ae5b721ebac9313"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#a8d633ce2010331212ae5b721ebac9313">VISUALACTIVITYTRACKER_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:a8d633ce2010331212ae5b721ebac9313"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> interface version.  <a href="#a8d633ce2010331212ae5b721ebac9313">More...</a><br /></td></tr>
<tr class="separator:a8d633ce2010331212ae5b721ebac9313"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0647ebe4608035fe0f7d80fd844ae3a3"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#a0647ebe4608035fe0f7d80fd844ae3a3">CONTEXT_MANAGER_STATE</a> {&quot;VisualActivityTracker&quot;, &quot;ActivityState&quot;}</td></tr>
<tr class="memdesc:a0647ebe4608035fe0f7d80fd844ae3a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The state information <code>NamespaceAndName</code> to send to the <code>ContextManager</code> for <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a>.  <a href="#a0647ebe4608035fe0f7d80fd844ae3a3">More...</a><br /></td></tr>
<tr class="separator:a0647ebe4608035fe0f7d80fd844ae3a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad397264829978f9f0ced6be5f03b2652"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#ad397264829978f9f0ced6be5f03b2652">FOCUSED_KEY</a> [] = &quot;focused&quot;</td></tr>
<tr class="memdesc:ad397264829978f9f0ced6be5f03b2652"><td class="mdescLeft">&#160;</td><td class="mdescRight">The interface key used in the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> context.  <a href="#ad397264829978f9f0ced6be5f03b2652">More...</a><br /></td></tr>
<tr class="separator:ad397264829978f9f0ced6be5f03b2652"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f3691509100a36d51b60a5d427fef75"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#a4f3691509100a36d51b60a5d427fef75">INTERFACE_KEY</a> [] = &quot;interface&quot;</td></tr>
<tr class="memdesc:a4f3691509100a36d51b60a5d427fef75"><td class="mdescLeft">&#160;</td><td class="mdescRight">The interface key used in the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> context.  <a href="#a4f3691509100a36d51b60a5d427fef75">More...</a><br /></td></tr>
<tr class="separator:a4f3691509100a36d51b60a5d427fef75"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ab028bc0860102c0826a6866777f99c50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab028bc0860102c0826a6866777f99c50">&#9670;&nbsp;</a></span>getAudioActivityTrackerCapabilityConfiguration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a> &gt; alexaClientSDK::afml::getAudioActivityTrackerCapabilityConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> capability configuration.</p>
<dl class="section return"><dt>Returns</dt><dd>The <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> capability configuration. </dd></dl>

</div>
</div>
<a id="ac17883391a8e27f2a3fa4b465545f1ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac17883391a8e27f2a3fa4b465545f1ed">&#9670;&nbsp;</a></span>getVisualActivityTrackerCapabilityConfiguration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a> &gt; alexaClientSDK::afml::getVisualActivityTrackerCapabilityConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> capability configuration.</p>
<dl class="section return"><dt>Returns</dt><dd>The <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> capability configuration. </dd></dl>

</div>
</div>
<a id="af990283351d307fd3c7a164c8fa48ff6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af990283351d307fd3c7a164c8fa48ff6">&#9670;&nbsp;</a></span>TAG() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::afml::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;FocusManager&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="adb2a36f12d300a48e8a6098403207d13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb2a36f12d300a48e8a6098403207d13">&#9670;&nbsp;</a></span>TAG() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::afml::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;VisualActivityTracker&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="a17ef926540f887f87dd01ca59ff45fc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17ef926540f887f87dd01ca59ff45fc7">&#9670;&nbsp;</a></span>TAG() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::afml::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;AudioActivityTracker&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a6f3c20dc3ebe943a6808bc3e41c215ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f3c20dc3ebe943a6808bc3e41c215ff">&#9670;&nbsp;</a></span>AUDIOACTIVITYTRACKER_CAPABILITY_INTERFACE_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::afml::AUDIOACTIVITYTRACKER_CAPABILITY_INTERFACE_NAME = &quot;AudioActivityTracker&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> interface name. </p>

</div>
</div>
<a id="a342ae9f3d24938382b37e0541653d273"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a342ae9f3d24938382b37e0541653d273">&#9670;&nbsp;</a></span>AUDIOACTIVITYTRACKER_CAPABILITY_INTERFACE_TYPE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::afml::AUDIOACTIVITYTRACKER_CAPABILITY_INTERFACE_TYPE = &quot;AlexaInterface&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class=""><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> capability constants <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> interface type </p>

</div>
</div>
<a id="a20efaca2c0ec29aec4026d18b58c5d8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20efaca2c0ec29aec4026d18b58c5d8f">&#9670;&nbsp;</a></span>AUDIOACTIVITYTRACKER_CAPABILITY_INTERFACE_VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::afml::AUDIOACTIVITYTRACKER_CAPABILITY_INTERFACE_VERSION = &quot;1.0&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> interface version. </p>

</div>
</div>
<a id="a0647ebe4608035fe0f7d80fd844ae3a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0647ebe4608035fe0f7d80fd844ae3a3">&#9670;&nbsp;</a></span>CONTEXT_MANAGER_STATE <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::afml::CONTEXT_MANAGER_STATE {&quot;VisualActivityTracker&quot;, &quot;ActivityState&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The state information <code>NamespaceAndName</code> to send to the <code>ContextManager</code> for <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a>. </p>

</div>
</div>
<a id="a0647ebe4608035fe0f7d80fd844ae3a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0647ebe4608035fe0f7d80fd844ae3a3">&#9670;&nbsp;</a></span>CONTEXT_MANAGER_STATE <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::afml::CONTEXT_MANAGER_STATE {&quot;AudioActivityTracker&quot;, &quot;ActivityState&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The state information <code>NamespaceAndName</code> to send to the <code>ContextManager</code> for <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a>. </p>

</div>
</div>
<a id="ad397264829978f9f0ced6be5f03b2652"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad397264829978f9f0ced6be5f03b2652">&#9670;&nbsp;</a></span>FOCUSED_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::afml::FOCUSED_KEY[] = &quot;focused&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The interface key used in the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> context. </p>

</div>
</div>
<a id="a212faeaa88b90852b43acd2ff5fee325"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a212faeaa88b90852b43acd2ff5fee325">&#9670;&nbsp;</a></span>IDLE_TIME_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::afml::IDLE_TIME_KEY[] = &quot;idleTimeInMilliseconds&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The idleTime key used in the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> context. </p>

</div>
</div>
<a id="a4f3691509100a36d51b60a5d427fef75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f3691509100a36d51b60a5d427fef75">&#9670;&nbsp;</a></span>INTERFACE_KEY <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::afml::INTERFACE_KEY[] = &quot;interface&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The interface key used in the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> context. </p>

</div>
</div>
<a id="a4f3691509100a36d51b60a5d427fef75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f3691509100a36d51b60a5d427fef75">&#9670;&nbsp;</a></span>INTERFACE_KEY <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::afml::INTERFACE_KEY[] = &quot;interface&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The interface key used in the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> context. </p>

</div>
</div>
<a id="a79facb406d60a7ff3f2b337cdd331020"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79facb406d60a7ff3f2b337cdd331020">&#9670;&nbsp;</a></span>VISUALACTIVITYTRACKER_CAPABILITY_INTERFACE_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::afml::VISUALACTIVITYTRACKER_CAPABILITY_INTERFACE_NAME = &quot;VisualActivityTracker&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> interface name. </p>

</div>
</div>
<a id="ad68de1fcf71e55758f354118e8a238ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad68de1fcf71e55758f354118e8a238ec">&#9670;&nbsp;</a></span>VISUALACTIVITYTRACKER_CAPABILITY_INTERFACE_TYPE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::afml::VISUALACTIVITYTRACKER_CAPABILITY_INTERFACE_TYPE = &quot;AlexaInterface&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class=""><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> capability constants <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> interface type </p>

</div>
</div>
<a id="a8d633ce2010331212ae5b721ebac9313"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d633ce2010331212ae5b721ebac9313">&#9670;&nbsp;</a></span>VISUALACTIVITYTRACKER_CAPABILITY_INTERFACE_VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::afml::VISUALACTIVITYTRACKER_CAPABILITY_INTERFACE_VERSION = &quot;1.0&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> interface version. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
